Bug 582083 - Custom disk config won't Edit existing partition
Summary: Custom disk config won't Edit existing partition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-14 03:39 UTC by John Reiser
Modified: 2013-01-07 18:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-07 18:14:00 UTC


Attachments (Terms of Use)
saved anaconda debug traceback after further attempts, backing up, etc. (268.30 KB, text/xml)
2010-04-14 03:39 UTC, John Reiser
no flags Details
/tmp/storage.log (529.99 KB, text/plain)
2010-06-12 19:17 UTC, John Reiser
no flags Details

Description John Reiser 2010-04-14 03:39:59 UTC
Created attachment 406406 [details]
saved anaconda debug traceback after further attempts, backing up, etc.

Description of problem: After selecting Custom Configuration of harddrive partitions, then the Edit button is grayed-out for all existing partitions.  Thus no existing partition can be re-used.


Version-Release number of selected component (if applicable):
anaconda-14.3

How reproducible: every time


Steps to Reproduce:
1. Fresh install from DVD of Rawhide.
2. Basic disks (1 SATA drive), Custom configuration 
3. Select any existing partition
  
Actual results: Edit button is grayed-out, so cannot re-format or re-use.


Expected results: Edit button is active for any existing partition.


Additional info:

Comment 1 John Reiser 2010-06-12 19:17:56 UTC
Created attachment 423537 [details]
/tmp/storage.log

The problem still is present in anaconda 14.8.  /dev/sdc14 exists as ext4 and can be selected, but Edit button is grayed out.

Comment 2 Bug Zapper 2010-07-30 11:20:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Chris Lumens 2013-01-07 18:14:00 UTC
In light of all the new ui stuff, I'm not sure how relevant this bug report still is.  I'm going to close it for now but if you experience similar problems with F18, please feel free to open a new report.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.